<template>

  <div class="maker ml-auto mr-auto">

    <input name="userid" type="hidden" :value="userId">

    <b-row>
      <b-col cols="1.2"> 
        <avatar background-color="#f4508e" color="#fff" :username="userName"></avatar> 
      </b-col>

      <b-col>
          <b-form-input class="writepost"
            name="text"
            v-model="text"
            placeholder="Make a post.."
            :state="text.length <= 255 ? null : false"
            type="search"
          ></b-form-input>
          <p>{{text.length}}/255</p>
      </b-col>

      <b-col cols="2">
        <b-button pill type="submit" variant="success" :disabled="text.length <= 0 || text.length > 255">
          <b-icon icon="arrow-right-short" aria-hidden="true"></b-icon>
        </b-button>
      </b-col>
    </b-row>

  </div>
</template>

<script>
  export default {
    props: {
      userId: String,
      userName: {
        type: String,
        default: "User name"
      }
    },
    data() {
      return {
        text: ''
      }
    }
  }
</script>

<style lang="sass" scoped>
  .maker:hover
    transform: translatey(-10px) translatex(-5px) scale(1.05)
    box-shadow: 0 10px 1em rgba(68, 74, 81, 0.3) !important

  .maker
    border-radius: 10px
    padding: 20px
    max-width: 600px
    background-color: #fff

    .row
      margin-right: 0px
      margin-left: 0px

    p
      font-size: 0.5rem
      margin: 0px
      text-align: end

    .col-1, .col-2
      padding: 0px !important
      display: flex 
      justify-content: center 
      align-items: center 

    .writepost
      width: 100%
      border: #fff
      color: #000
      padding: 0px
      margin-left: auto
      margin-right: auto
      text-align: left

    .writepost:focus
      box-shadow: 0 0 0 0rem #fff
</style>